/* styles.css */

html, body {
    display: flex;
    flex-direction: column;
    height: 100%;
    margin: auto;
}

body {
    display: flex;
    font-family: Verdana; 
    color:rgb(255, 255, 255); 
    background-color:rgb(25, 12, 0);
}

header {
    display: flex;
    flex-direction: column;
    align-self: center;
    background-color:rgb(12, 39, 0);
}

main {
    display: flex;
    justify-content: center;
    background-color:rgb(12, 39, 0);
    width: 100%;
    height: 100%;
}

.main-container {
    display: flex;
    flex-direction: column;
    width: 1200px;
}

footer {
    display: flex;
    align-items: center;
    margin-top: auto;
    flex-direction: column;
}

.title {
    position: absolute;
    text-align: center;
    align-self: center;
    font-size: xx-large;
    margin: 60px 0px 20px 0px;
}

.intro {
    columns: 2;
    column-gap: 50px;
    line-height: 25px;
    margin: 30px 20px 50px 20px;
}

/* Banner */

.container {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-self: center;
}

.banner-container {
    width: 100%;
    height: 380px;
    overflow: hidden;
}

.banner-container img {
    width: 100%;
    margin: -350px 0px 0px 0px
}

.citation {
    color: rgb(142, 142, 142);
    font-size: x-small;
    margin: 10px 0px 0px 0px;
    margin-left: auto;
    margin-right: 10px;
}

/* Navigation */

nav {
    display: flex;
    justify-content: center;
    margin: 0px 0px 0px 0px;
}

/* Divider */

.hor-ruler {
    border: 0;
    height: 1px;
    background-image: linear-gradient(to right, rgba(0, 0, 0, 0), rgb(255, 255, 255), rgba(0, 0, 0, 0));
    margin: 20px 0px 20px 0px;
}

/* Footer */

.copyright {
    font-size: small;
    margin: 10px 25px 0px 0px;
}

.credits {
    font-size: x-small;
    text-align: center;
    margin: 10px 25px 10px 0px;
}

/* Website List Container */

.website-container {
    display: flex;
    flex-direction: row;
}

.website-name {
    align-self: center;
    margin-left: 10px;
}

.image-container {
    display: flex;
    height: 100px;
    aspect-ratio: 1;
    border-radius: 50%;
    background-color: rgb(255, 255, 255);
    justify-content: center;
    align-items: center;
}

.website-titles {
    text-align: center;
    margin: 50px 0px 30px 0px;
}

a { 
    color: inherit; 
    text-decoration: none;
    transition: .25s ease-in-out;
}

a:hover {
    color: hsl(125, 100%, 30%);
    text-shadow: 1px 1px 0px hsl(0, 0%, 5%), -1px -1px 0px hsl(0, 0%, 15%);
}

a:hover::before {
    border-width: 0;
    background-color: hsl(121, 100%, 35%);
    box-shadow: 0 0 .5rem .1rem hsla(121, 100%, 35%, 1);
    animation: none;
}

ul {
    width: 750px;
    align-self: center;
    list-style: none;
    columns: 2;
    column-gap: 50px;
    -webkit-columns: 2;
    -moz-columns: 2;
    margin: 0px 0px 50px 0px;
}

li {
    position: relative;
    font-weight: 700;
    vertical-align: bottom;
    margin-bottom: 30px;
}